agent-configuration
Apply Use Case Template
Apply a use case template to an agent.
POST
/
config
/
agents
/
{agent_id}
/
apply-template
Apply Use Case Template
curl --request POST \
--url https://api.example.com/config/agents/{agent_id}/apply-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"use_case": "<string>",
"organization_name": "<string>",
"user_language": "en",
"custom_requirements": {}
}
'import requests
url = "https://api.example.com/config/agents/{agent_id}/apply-template"
payload = {
"use_case": "<string>",
"organization_name": "<string>",
"user_language": "en",
"custom_requirements": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
use_case: '<string>',
organization_name: '<string>',
user_language: 'en',
custom_requirements: {}
})
};
fetch('https://api.example.com/config/agents/{agent_id}/apply-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Use case template for quick agent setup.
Pattern:
^(appointment_scheduling|customer_support|lead_qualification|satisfaction_survey|[a-z_]+)$Required string length:
1 - 255Required string length:
2 - 10Response
Successful Response
Previous
Validate Agent ConfigurationValidate agent configuration and get optimization suggestions.
Next
⌘I
Apply Use Case Template
